# Get Property
> Source: /api-reference/public/properties/get-property
> Retrieve public property information
> Endpoint: GET /public/properties/:propertyId

# Get Property Details

Retrieve public information about a property.

## Request [#request]

```http
GET /public/properties/:propertyId
```

<ParamField path="propertyId" type="string" required>
  Property identifier
</ParamField>

## Response [#response]

<ResponseField name="property" type="object">
  <Expandable title="properties">
    <ResponseField name="id" type="string">
      Property ID
    </ResponseField>
    <ResponseField name="name" type="string">
      Property name
    </ResponseField>
    <ResponseField name="slug" type="string">
      URL slug
    </ResponseField>
    <ResponseField name="description" type="string">
      Property description
    </ResponseField>
    <ResponseField name="location" type="object">
      Address and coordinates
    </ResponseField>
    <ResponseField name="amenities" type="array">
      Available amenities
    </ResponseField>
    <ResponseField name="images" type="array">
      Property photos
    </ResponseField>
    <ResponseField name="rating" type="object">
      Review ratings
    </ResponseField>
  </Expandable>
</ResponseField>

## Example [#example]

```typescript
const response = await fetch(
  'https://api.journey.com/public/properties/PROP123'
);

const data = await response.json();
console.log(`Property: ${data.property.name}`);
console.log(`Location: ${data.property.location.city}`);
```

## Bruno [#bruno]

`bruno/Public (Surface)/Properties/Get Property.bru`
